RainbowPublicKey (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.asn1

## Class RainbowPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.pqc.asn1.RainbowPublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class RainbowPublicKey
      extends ASN1Object

  This class implements an ASN.1 encoded Rainbow public key. The ASN.1 definition of this structure is:

             RainbowPublicKey ::= SEQUENCE {
               CHOICE
               {
               oid        OBJECT IDENTIFIER         -- OID identifying the algorithm
               version    INTEGER                    -- 0
               }
               docLength        Integer               -- length of the code
               coeffquadratic   SEQUENCE OF OCTET STRING -- quadratic (mixed) coefficients
               coeffsingular    SEQUENCE OF OCTET STRING -- singular coefficients
               coeffscalar    SEQUENCE OF OCTET STRING -- scalar coefficients
             }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RainbowPublicKey(int docLength, short[][] coeffQuadratic, short[][] coeffSingular, short[] coeffScalar)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short[][]` | `getCoeffQuadratic()`
    `short[]` | `getCoeffScalar()`
    `short[][]` | `getCoeffSingular()`
    `int` | `getDocLength()`
    `static RainbowPublicKey` | `getInstance(java.lang.Object o)`
    `ASN1Integer` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RainbowPublicKey

          public RainbowPublicKey(int docLength,
                          short[][] coeffQuadratic,
                          short[][] coeffSingular,
                          short[] coeffScalar)

  - ### Method Detail

    - #### getInstance

          public static RainbowPublicKey getInstance(java.lang.Object o)

    - #### getVersion

          public ASN1Integer getVersion()

    - #### getDocLength

          public int getDocLength()

      Returns:
        the docLength

    - #### getCoeffQuadratic

          public short[][] getCoeffQuadratic()

      Returns:
        the coeffquadratic

    - #### getCoeffSingular

          public short[][] getCoeffSingular()

      Returns:
        the coeffsingular

    - #### getCoeffScalar

          public short[] getCoeffScalar()

      Returns:
        the coeffscalar

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.